Runs - Get

特定のパイプラインの実行を取得します。

GET https://dev.azure.com/{organization}/{project}/_apis/pipelines/{pipelineId}/runs/{runId}?api-version=7.1

URI パラメーター

名前 / 必須 型 説明
organization
path True

string

Azure DevOps 組織の名前。

pipelineId
path True

integer (int32)

パイプライン ID

project
path True

string

プロジェクト ID またはプロジェクト名

runId
path True

integer (int32)

実行 ID

api-version
query True

string

使用する API のバージョン。 このバージョンの API を使用するには、これを '7.1' に設定する必要があります。

応答

名前 型 説明
200 OK

Run

成功した操作

セキュリティ

oauth2

型: oauth2
フロー: accessCode
Authorization URL (承認 URL): https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL (トークン URL): https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

スコープ

名前 説明
vso.build ビルドの結果、定義、要求など、ビルド成果物にアクセスする機能と、サービス フックを介してビルド イベントに関する通知を受信する機能を付与します。

定義

名前 説明
Container
ContainerResource
PipelineReference

パイプラインへの参照。

PipelineResource
ReferenceLinks

REST 参照リンクのコレクションを表すクラス。

Repository
RepositoryResource
RepositoryType
Run
RunResources
RunResult
RunState
Variable

Container

名前 型 説明
environment

object

image

string

mapDockerSocket

boolean

options

string

ports

string[]

volumes

string[]

ContainerResource

名前 型 説明
container

Container

PipelineReference

パイプラインへの参照。

名前 型 説明
folder

string

パイプライン フォルダー

id

integer (int32)

パイプライン ID

name

string

パイプライン名

revision

integer (int32)

リビジョン番号

url

string

PipelineResource

名前 型 説明
pipeline

PipelineReference

パイプラインへの参照。

version

string

REST 参照リンクのコレクションを表すクラス。

名前 型 説明
links

object

リンクの読み取りビュー。 参照リンクは読み取り専用であるため、読み取り専用として公開する必要があります。

Repository

名前 型 説明
type

RepositoryType

RepositoryResource

名前 型 説明
refName

string

repository

Repository

version

string

RepositoryType

値 説明
unknown
gitHub
azureReposGit
gitHubEnterprise
azureReposGitHyphenated

Run

名前 型 説明
_links

ReferenceLinks

REST 参照リンクのコレクションを表すクラス。

createdDate

string (date-time)

finalYaml

string

finishedDate

string (date-time)

id

integer (int32)

name

string

pipeline

PipelineReference

パイプラインへの参照。

resources

RunResources

result

RunResult

state

RunState

templateParameters

object

url

string

variables

<string,  Variable>

RunResources

名前 型 説明
containers

<string,  ContainerResource>

pipelines

<string,  PipelineResource>

repositories

<string,  RepositoryResource>

RunResult

値 説明
unknown
succeeded
failed
canceled

RunState

値 説明
unknown
inProgress
canceling
completed

Variable

名前 型 説明
isSecret

boolean

value

string